<?php
defined( '_VALID_MOS' ) or die( ' ' );
if (!($acl->acl_check( 'administration', 'edit', 'users', $my->usertype, 'components', 'all' ) | $acl->acl_check( 'administration', 'edit', 'users', $my->usertype, 'components', 'com_contact' ))) {
	mosRedirect( 'index2.php', _NOT_AUTH );
}

require_once( $mainframe->getPath( 'admin_html' ) );

switch ($task) {
	case 'save':
		save( $option );
		break;

  	case 'cancel':
		cancel( );
		break;

	default:
		show( $option );
		break;
}



/**
* List the records
* @param string The current GET/POST option
*/
function show( $option ) {
	global $database, $mainframe;

	$query = "SELECT a.id"
	. "\n FROM #__components AS a"
	. "\n WHERE  a.option = 'com_download'"
	;
	$database->setQuery( $query );
	$id = $database->loadResult();

	// load the row from the db table
	$row = new mosComponent( $database );
	$row->load( $id );

	// get params definitions
	$params = new mosParameters( $row->params, $mainframe->getPath( 'com_xml', $row->option ), 'component' );


	HTML_download::settings( $option, $params, $id );
}

/**
* Saves the record from an edit form submit
* @param string The current GET/POST option
*/
function save( $option ) {
	global $database,$mosConfig_live_site;
	
	$params = mosGetParam( $_POST, 'params', '' );
	if (is_array( $params )) {		
		$txt = array();
		foreach ($params as $k=>$v) {
			$txt[] = "$k=$v";
		}		
		$_POST['params'] = mosParameters::textareaHandling( $txt );		
	}

	$id = intval( mosGetParam( $_POST, 'id', '' ) );
	$row = new mosComponent( $database );
	$row->load( $id );

	if (!$row->bind( $_POST )) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

	if (!$row->check()) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}
	if (!$row->store()) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

	$msg = '  ';
	mosRedirect( 'index2.php?option='. $option, $msg );
}

/**
* Cancels editing and checks in the record
*/
function cancel(){
	mosRedirect( 'index2.php' );
}
?>
